Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  SolidWorks
  Abwicklung als dxf

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Abwicklung als dxf (1563 mal gelesen)
snakeelaphe
Mitglied
metallbaumeister/Schweißfachmann


Sehen Sie sich das Profil von snakeelaphe an!   Senden Sie eine Private Message an snakeelaphe  Schreiben Sie einen Gästebucheintrag für snakeelaphe

Beiträge: 168
Registriert: 28.11.2012

Solidworks 2017
Intel(R) Xeon(R) CPU E5-1620 0 @○ 3.60GHz 3.60GHz
16,0GB-RAM
NVIDIA Quadro K4000

erstellt am: 04. Mai. 2016 13:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo, kann mir mal bitte jemand bei einem Makro helfen.
Ich habe von Makros schreiben keine Ahnung...hätte aber gern trotzdem eins mit dem ich ein Abgewickeltes Blechteil die Fläche vom Model als dxf speichern kann.
Also von Hand muss ich das abgewickelte Blech die Fläche wählen, auf speichern unter dxf dann Haken bei Blech rein und noch Biegelinien anhacken und speichern.
Mit Makro aufnehmen kam folgendes raus...welches aber leider nicht funktioniert.

LG Sven

' ******************************************************************************
' C:\Users\Sven\AppData\Local\Temp\swx5200\Macro1.swb - macro recorded on 05/04/16 by Sven
' ******************************************************************************
Dim swApp As Object

Dim Part As Object
Dim boolstatus As Boolean
Dim longstatus As Long, longwarnings As Long

Sub main()

Set swApp = _
Application.SldWorks

Set Part = swApp.ActiveDoc
boolstatus = Part.Extension.SelectByID2("", "FACE", 6.42500000000001, 4.69315003818708E-03, 0.012768427515565, False, 0, Nothing, 0)
boolstatus = Part.Extension.SelectByID2("", "FACE", 6.42500000000001, 4.69315003818708E-03, 0.012768427515565, False, 0, Nothing, 0)
longstatus = Part.Save2(False)
boolstatus = Part.Extension.SelectByID2("Abwicklung3", "BODYFEATURE", 0, 0, 0, True, 0, Nothing, 0)
Set Part = swApp.ActiveDoc
Dim myModelView As Object
Set myModelView = Part.ActiveView
myModelView.FrameLeft = 0
myModelView.FrameTop = 22
Set myModelView = Part.ActiveView
myModelView.FrameState = swWindowState_e.swWindowMaximized
Set Part = swApp.NewDocument("C:\ProgramData\SolidWorks\SOLIDWORKS 2016\templates\Zeichnung.drwdot", 0, 0, 0)
swApp.ActivateDoc2 "Zeichnung12 - Blatt1", False, longstatus
Set Part = swApp.ActiveDoc
Set Part = swApp.ActiveDoc
Set myModelView = Part.ActiveView
myModelView.FrameLeft = 0
myModelView.FrameTop = 22
Set myModelView = Part.ActiveView
myModelView.FrameState = swWindowState_e.swWindowMaximized
swApp.ActivateDoc2 "DACH-Pos.6.SLDPRT", False, longstatus
Set Part = swApp.ActiveDoc
Part.EditUnsuppress2
boolstatus = Part.Extension.SelectByID2("Abwicklung", "BODYFEATURE", 0, 0, 0, False, 0, Nothing, 0)
Part.ClearSelection2 True
Part.BlankSketch
Part.BlankSketch
Part.UnblankSketch
Part.BlankSketch
Dim myView As Object
Set myView = Part.CreateDrawViewFromModelView3("C:\Users\Sven\Desktop\Kunden neue Zeichnung\Dach\DACH-Pos.6.SLDPRT", "DxfOutputModelView", 0, 0, 0)
boolstatus = Part.DeleteNamedView(DxfOutputModelView)
Part.UnblankSketch
Part.UnblankSketch
Part.EditSuppress2
boolstatus = Part.Extension.SelectByID2("Abwicklung", "BODYFEATURE", 0, 0, 0, False, 0, Nothing, 0)
Part.ClearSelection2 True
Part.ClearSelection2 True
End Sub

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Olaf Wolfram
Ehrenmitglied V.I.P. h.c.
CAD-Mutti und Konstrukteur CSWP CSWI



Sehen Sie sich das Profil von Olaf Wolfram an!   Senden Sie eine Private Message an Olaf Wolfram  Schreiben Sie einen Gästebucheintrag für Olaf Wolfram

Beiträge: 2337
Registriert: 30.06.2008

I7-3770 CPU 3,40 Ghz
32 Gb RAM
64 bit
WIN 7
SWX 2016 SP5
NVIDIA Quadro K2000<P>Testweise:
Lenovo ThinkStation P320 Tiny

erstellt am: 04. Mai. 2016 15:34    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für snakeelaphe 10 Unities + Antwort hilfreich

Hallo,

da kann ich dir nicht helfen, aber ich verstehe auch nicht, warum du dazu ein Makro benötigst?

RMB im FB auf Abwicklung-->In DXF/DWG exportieren!
Ich glaube nicht, dass du mit einem Makro Klicks und Zeit sparst!

------------------
CSWST/CSWI/CSWP
DPS-Software GmbH When was the last time you did something for the first time?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Hofe
Mitglied
Werkzeugmacher


Sehen Sie sich das Profil von Hofe an!   Senden Sie eine Private Message an Hofe  Schreiben Sie einen Gästebucheintrag für Hofe

Beiträge: 432
Registriert: 12.01.2008

Computer: Aldi
Schreibtisch: Ikea
Werkbank: Baumarkt
Software:
1967-2014, viele Updates und SP's, aber sicher nicht alle, deswegen immer wieder Sicherheitslücken

erstellt am: 05. Mai. 2016 11:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für snakeelaphe 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Olaf Wolfram:
RMB im FB auf Abwicklung-->In DXF/DWG exportieren!

Und dann? Fertig?
Zitat:
Original erstellt von Olaf Wolfram:
Ich glaube nicht, dass du mit einem Makro Klicks und Zeit sparst!

Ich glaube schon, ich zähle ganze fünf (vorausgesetzt, das Makro ist eine 1-Klick-Version), mit seiner gewünschten Biegelinienanwahl sogar sechs.

------------------
Ist mir egal, wer Dein Vater ist; solange ich angle läuft hier keiner übers Wasser!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Christian_W
Ehrenmitglied V.I.P. h.c.
Konstrukteur (Dipl-Ing)


Sehen Sie sich das Profil von Christian_W an!   Senden Sie eine Private Message an Christian_W  Schreiben Sie einen Gästebucheintrag für Christian_W

Beiträge: 2121
Registriert: 04.04.2001

SWX 2016sp5 WIN7-64
proAlpha6.2e/calinkV9
(Tactonworks)
(Medusa7, NesCAD2010,
solidEdge19) CSWP 12/2015

erstellt am: 09. Mai. 2016 09:55    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für snakeelaphe 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Olaf Wolfram:
...
Ich glaube nicht, dass du mit einem Makro Klicks und Zeit sparst!
...

Hallo Olaf,

interessanter wird es evtl bei Mehrkörperblechen.
- durch alle Körper gehen,
-- wenn Blech, dann Abwicklung speichern
-- sonst größte Fläche suchen und speichern (?)

hab aber auch gerade nicht die Zeit da tiefer einzusteigen ...

Gruß, Christian

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

snakeelaphe
Mitglied
metallbaumeister/Schweißfachmann


Sehen Sie sich das Profil von snakeelaphe an!   Senden Sie eine Private Message an snakeelaphe  Schreiben Sie einen Gästebucheintrag für snakeelaphe

Beiträge: 168
Registriert: 28.11.2012

Solidworks 2017
Intel(R) Xeon(R) CPU E5-1620 0 @○ 3.60GHz 3.60GHz
16,0GB-RAM
NVIDIA Quadro K4000

erstellt am: 11. Mai. 2016 08:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ich sehe das so wie Hofe,

wenn man das den ganzen Tag macht spart das schon jedemenge Zeit.
und ja die Biegelinien sollten mit angewählt werden.
Naja vielleicht findet sich ja noch jemand der sich der Sache annimmt.
Kann mir jemand sagen warum es die Möglichkeit gibt ein Makro aufzunehmen...diese aber eher selten funktioniert? oder mache ich was falsch?

LG Sven

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Christian_W
Ehrenmitglied V.I.P. h.c.
Konstrukteur (Dipl-Ing)


Sehen Sie sich das Profil von Christian_W an!   Senden Sie eine Private Message an Christian_W  Schreiben Sie einen Gästebucheintrag für Christian_W

Beiträge: 2121
Registriert: 04.04.2001

SWX 2016sp5 WIN7-64
proAlpha6.2e/calinkV9
(Tactonworks)
(Medusa7, NesCAD2010,
solidEdge19) CSWP 12/2015

erstellt am: 11. Mai. 2016 09:48    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für snakeelaphe 10 Unities + Antwort hilfreich

Zitat:
...
Kann mir jemand sagen warum es die Möglichkeit gibt ein Makro aufzunehmen...diese aber eher selten funktioniert? oder mache ich was falsch?...

Es gibt sogar Makrofunktionen, die man aufrufen kann, die dann aber einfach nichts tun, weil sie nicht implementiert sind 
*scnr*

Christian

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bk.sc
Ehrenmitglied V.I.P. h.c.
Maschinenbautechniker



Sehen Sie sich das Profil von bk.sc an!   Senden Sie eine Private Message an bk.sc  Schreiben Sie einen Gästebucheintrag für bk.sc

Beiträge: 2124
Registriert: 18.07.2012

HP Z400 Workstaion
CPU: Intel Xeon 6x 3,33GHz
GPU: NVIDEA Quadro 2000
RAM: 12 GB DDR3
Win 7 x64
CAD Hauptberuflich
-Solid Works 2014 SP4
-Creo Elements Direct Drafting (ME10)
DMS/PDM
-Pro.File V8 (8.4)
Simulation
-Simufact Forming 11.0
CAD Nebenberuflich
-Pro Engineer WF 3+4
-Creo Parametric 2.0

erstellt am: 11. Mai. 2016 12:47    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für snakeelaphe 10 Unities + Antwort hilfreich

Zitat:
Kann mir jemand sagen warum es die Möglichkeit gibt ein Makro aufzunehmen...diese aber eher selten funktioniert? oder mache ich was falsch?...

Das was der Macrorecorder aufzeichnet ist immer explizit auf das gerade verwendete Teil mit dem du das Macro aufzeichnest bezogen und sollte dir ja auch nur evtl. einen Anhaltpunkt geben was SWX im Hintergrund gerade macht oder welche Befehle sinnvoll sein könnten um das gewünschte Ziel zu erreichen.

Code:
boolstatus = Part.Extension.SelectByID2("", "FACE", 6.42500000000001, 4.69315003818708E-03, 0.012768427515565, False, 0, Nothing, 0)
Set myView = Part.CreateDrawViewFromModelView3("C:\Users\Sven\Desktop\Kunden neue Zeichnung\Dach\DACH-Pos.6.SLDPRT", "DxfOutputModelView", 0, 0, 0)

Diese Zeilen lassen das Macro z.B. nur mit diesem explizitem Teil funktionieren, da die Selektion in der 1. Zeile bei einem anderen Teil u.U. ins leere laufen würde und beim erzeugen der Ansicht in Zeile 2 er auch explizit auf die angegebene Datei zugreifen will.

Ich für meinen Teil nehme immer nur Einzelaktionen auf um eine Idee zu bekommen welchen Befehle ich evtl. brauche und hangel mich dann mit der API-Hilfe, diesem Forum, anderen Macros dann Schritt für Schritt weiter.

Gruß
Bernd

------------------
--- Man muß nicht alles wissen, man muß nur wissen wo es steht ---

Staatlich anerkannte Deutschniete 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

snakeelaphe
Mitglied
metallbaumeister/Schweißfachmann


Sehen Sie sich das Profil von snakeelaphe an!   Senden Sie eine Private Message an snakeelaphe  Schreiben Sie einen Gästebucheintrag für snakeelaphe

Beiträge: 168
Registriert: 28.11.2012

Solidworks 2017
Intel(R) Xeon(R) CPU E5-1620 0 @○ 3.60GHz 3.60GHz
16,0GB-RAM
NVIDIA Quadro K4000

erstellt am: 11. Mai. 2016 13:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ok dann danke euch erst mal für die Info

mal sehen ob ich mal die Zeit finde tiefer in die Sache einzutauchen.

LG Sven

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Robert Hess
Ehrenmitglied V.I.P. h.c.
Maschinenbautechniker



Sehen Sie sich das Profil von Robert Hess an!   Senden Sie eine Private Message an Robert Hess  Schreiben Sie einen Gästebucheintrag für Robert Hess

Beiträge: 2533
Registriert: 16.06.2000

Dell Precision M6800, 16 GB RAM,
nVidia Quadro K4100 - 4 GB
SolidWorks 2015 - SP5, SW2016 - SP2
SWX seit 1998

erstellt am: 12. Mai. 2016 09:51    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für snakeelaphe 10 Unities + Antwort hilfreich

Hallo Sven,

nur aus Neugier.
Gibt es dazu nicht eine Zeichnung mit den 1:1 Ansichten des abgewickleten Bleches?

Gruß Robert Hess

------------------
"Wir haben doch keine Zeit". Doch. Die muß man sich manchmal nehmen um Vorwärts zu kommen.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

snakeelaphe
Mitglied
metallbaumeister/Schweißfachmann


Sehen Sie sich das Profil von snakeelaphe an!   Senden Sie eine Private Message an snakeelaphe  Schreiben Sie einen Gästebucheintrag für snakeelaphe

Beiträge: 168
Registriert: 28.11.2012

Solidworks 2017
Intel(R) Xeon(R) CPU E5-1620 0 @○ 3.60GHz 3.60GHz
16,0GB-RAM
NVIDIA Quadro K4000

erstellt am: 12. Mai. 2016 10:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Wird es auch geben. aber das ist ja wieder ein Schritt mehr. und ist bei einer Zeichung nicht immer auch ein Blatt hinterlegt?
In dem Fall hätte ich dann wieder die Blattlinien in der DXF, die ich dann raus löschen muß.

LG Sven

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bk.sc
Ehrenmitglied V.I.P. h.c.
Maschinenbautechniker



Sehen Sie sich das Profil von bk.sc an!   Senden Sie eine Private Message an bk.sc  Schreiben Sie einen Gästebucheintrag für bk.sc

Beiträge: 2124
Registriert: 18.07.2012

HP Z400 Workstaion
CPU: Intel Xeon 6x 3,33GHz
GPU: NVIDEA Quadro 2000
RAM: 12 GB DDR3
Win 7 x64
CAD Hauptberuflich
-Solid Works 2014 SP4
-Creo Elements Direct Drafting (ME10)
DMS/PDM
-Pro.File V8 (8.4)
Simulation
-Simufact Forming 11.0
CAD Nebenberuflich
-Pro Engineer WF 3+4
-Creo Parametric 2.0

erstellt am: 12. Mai. 2016 13:30    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für snakeelaphe 10 Unities + Antwort hilfreich

Hallo sven,

hier wäre aber ein Macro evtl. leichter zu schreiben, weil hier könnte ich mir vorstellen das "nur" alle Ansichten durchforstet werden bis eine gefunden wird die die Konfiguration "Abwicklung" verwendet, dann alle anderen Ansichten + Blattformat löscht und die verbleibende Abwichklung dann exportiert als DXF.

Gruß
Bernd

------------------
--- Man muß nicht alles wissen, man muß nur wissen wo es steht ---

Staatlich anerkannte Deutschniete 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

snakeelaphe
Mitglied
metallbaumeister/Schweißfachmann


Sehen Sie sich das Profil von snakeelaphe an!   Senden Sie eine Private Message an snakeelaphe  Schreiben Sie einen Gästebucheintrag für snakeelaphe

Beiträge: 168
Registriert: 28.11.2012

Solidworks 2017
Intel(R) Xeon(R) CPU E5-1620 0 @○ 3.60GHz 3.60GHz
16,0GB-RAM
NVIDIA Quadro K4000

erstellt am: 12. Mai. 2016 13:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ok wäre ja ein Ansatz. :-)
Aber auch dafür fehlen mit die nötigen Hintergrund Informationen ;-)

LG Sven

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Lueghi
Mitglied



Sehen Sie sich das Profil von Lueghi an!   Senden Sie eine Private Message an Lueghi  Schreiben Sie einen Gästebucheintrag für Lueghi

Beiträge: 256
Registriert: 01.07.2005

CAD: SWX2016 SP5, ACAD 2015
Tacton Studio
PDM: PRO.FILE 8.6
ERP: proAlpha 5.2f (6.2 in Vorbereitung
Win7x64 Professional

erstellt am: 23. Mai. 2016 16:21    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für snakeelaphe 10 Unities + Antwort hilfreich

Wir nutzen hier ein Makro in einem Batchaufruf um aus einem Modell die Abwicklung als DXF mit einem aus den Dateieigenschaften generierten Dateinamen abzuspeichern. Das Modell darf aber nur 1 Abwicklung haben und der Name der Konfiguration muss auch immer gleich sein. Das Makro kann man aber auch direkt als Makro nutzen. Läuft seit Jahren ... ist aber natürlich auf unsere Gegebenheiten abgestimmt. Im Forum findet man aber auch diverse andere Makros die so was machen.

------------------
Gruß Stefan

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2018 CAD.de | Impressum | Datenschutz